Download it now!
Bug 96384 - LOKView signal when selection changes
Summary: LOKView signal when selection changes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Pranav Kant
URL: https://gerrit.libreoffice.org/#/c/20...
Whiteboard: target:5.2.0 target:5.1.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-10 12:33 UTC by Bastien Nocera
Modified: 2016-10-25 19:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bastien Nocera 2015-12-10 12:33:45 UTC
A lok_doc_view_copy_selection() function was added, but there is no way to know when the selection is non-null (eg. when there's something to copy).
Comment 1 Commit Notification 2015-12-11 14:03:42 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea5c99428f56e1d3a3e782505aa2f56f905038a4

tdf#96384: Add a new signal 'text-selection' to lokdocview

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-12-11 14:51:30 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f13961c45ea9a6f90c0bc268a2274634d9b8033&h=libreoffice-5-1

tdf#96384: Add a new signal 'text-selection' to lokdocview

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.